Help me squelch the two most irritating mutters:

Discussion in 'AutoCAD' started by TCEBob, Sep 11, 2004.

  1. TCEBob

    TCEBob Guest

    1. Viewport is view-locked. Switching to Paper space.

    2. Switching back to Model space.

    I have no idea why They built these into the system but, boy, are they
    irritating. Particularly when I need to search back for some previous command.
    Can they be trapped as with an error handler? Guess not because they aren't
    errors. Is there some programming trick that will catch them on the way to the
    command line and turn them into ""? Maybe a reactor?

    rs
     
    TCEBob, Sep 11, 2004
    #1
  2. TCEBob

    John Uhden Guest

    Agreed. I like to lock viewports, but I can't figure out how to turn off the
    annoying (and inerruptive) echo when I zoom/pan within a locked viewport. I
    tried like a gazillion settings for QAFLAGS, but nothing would deter the echo.
     
    John Uhden, Sep 11, 2004
    #2
  3. TCEBob

    TCEBob Guest

    Oh, oh. John, if *you* can't figure it out that makes it sound pretty
    intransigent. How about this: When a mouse operation is ongoing, turn on nomutt.
    Then when the keyboard is active, turn it off again. Plus a switch to revert to
    normal nomutt operation.

    If I can find some time I'll try to pursue that -- but I have almost no
    experience with reactors.

    rs
     
    TCEBob, Sep 11, 2004
    #3
  4. TCEBob

    Jeff Mishler Guest

    Well, since this has always been bothersome to me, but not enough so to do
    anything about it, after seeing these 3 posts I thought I'd try something
    based on VBA Events. Since I already had an ACADDVB file for CAPS on/off
    events it was pretty simple to trap the zoom & pan events. However, I can't
    figure out the wheel... issuaing an Undo after a wheel zoom shows: "Command:
    U INTELLIZOOM", but placing intellizoom into the event handler doesn't do
    anything.

    So anyway, here's my partial solution.......use or discard at your own
    discretion (if you'd like the keyboard classthat goes with the Caps lock
    stuff, just ask. I got it from the VBA newsgroup sometime back). Place the
    following into the ThisDrawing portion of your Acad.dvb....
    Code:
    '''Subs for CapsOn by Mark Propst, posted to the autodesk VBA newsgroup
    '''June 23, 2003
    
    Option Explicit
    Dim kb As clsKeyboard
    Dim command_count As Long
    
    Private Sub AcadDocument_BeginCommand(ByVal CommandName As String)
    Select Case UCase(CommandName)
    Case UCase("mtext"), UCase("text"), UCase("mtedit"), UCase("dtext"), _
    UCase("ddedit"), UCase("ddatte"), UCase("QLEADER"), UCase("Layer")
    Set kb = New clsKeyboard
    kb.CapsOn = True
    ThisDrawing.SetVariable "nomutt", 0
    Case UCase("zoom"), UCase("pan"), UCase("intellizoom")'the intellizoom
    doesn't appear to be caught.
    ThisDrawing.SetVariable "nomutt", 1
    Case Else
    ThisDrawing.SetVariable "nomutt", 0
    If Not kb Is Nothing Then
    kb.CapsOn = False
    Set kb = Nothing
    End If
    End Select
    
    End Sub
    
    Private Sub AcadDocument_EndCommand(ByVal CommandName As String)
    Select Case CommandName
    Case UCase("mtext"), UCase("text"), UCase("mtedit"), UCase("dtext"), _
    UCase("ddedit"), UCase("ddatte"), UCase("QLEADER"), UCase("Layer")
    
    kb.CapsOn = False
    If Not kb Is Nothing Then
    Set kb = Nothing
    End If
    Case UCase("zoom"), UCase("pan"), UCase("intellizoom")
    ThisDrawing.SetVariable "nomutt", 0
    
    End Select
    '***Below code is to AUTO save the drawing every 25 commands,
    '***I'm not using since I don't want saves in a testing environment
    '  If ThisDrawing.GetVariable("DWGTITLED") = 1 Then
    '  Select Case CommandName
    '    Case UCase("undo"), UCase("u")
    '        command_count = command_count
    '    Case Else
    '        command_count = command_count + 1
    '        If command_count = 24 Then
    '            ThisDrawing.Save
    '            command_count = 0
    '        End If
    '    End Select
    '  End If
    End Sub
    
     
    Jeff Mishler, Sep 11, 2004
    #4
  5. TCEBob

    TCEBob Guest

    Interesting stuff, Jeff. Detecting mouse wheel activity might involve finding
    out just what the wheel is sending and what the driver is translating it to.
    Actually, I was thinking along simpler lines: any mouse activity. There aren't
    too many command line displays that I can think of that need to be read while
    the mouse is active. Well, none.

    rs
     
    TCEBob, Sep 11, 2004
    #5
  6. TCEBob

    John Uhden Guest

    I think the case is that Autodesk ought to provide a variable (could be an
    embellishment of Expert) to permit the suppression of the prompt, or do away
    with it altogether, as it really serves no useful purpose.

    No offense, Jeff, but I'd bet that the event/reactor use of NOMUTT is likely to
    cause more problems than it solves. :/
     
    John Uhden, Sep 12, 2004
    #6
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.